From: <a href="/blend/av.cgi?id=644">wordley</a><BR>
Date: 24 August 2004<P>

Cire,<BR>
       <a href="/blend/wv.cgi?id=2004.8.23.12.47.27720"><i>Untitled</i></a>....If ever I read a poem that I wish I had composed for a friend, this is it!! It speaks of the joy of two hearts meeting, the sadness of loss, and the pain and bewilderment of years apart....Loved it!!<BR>
<BR>
word
<HR>
From: <a href="/blend/av.cgi?id=644">wordley</a><BR>
Date: 24 August 2004<P>

Sorry Cire, <BR>
           the link code didn't work! "Our Crescent Moon" is the title, and once again, loved it!!
<HR>
From: <a href="/blend/av.cgi?id=1120">Chances</a><BR>
Date: 24 August 2004<P>

Word - I think an earlier comment I made was misunderstood. Don't worry about it.
<HR>